Subject: Re: Python PyOpenGL, Cygwin & "R.I. -Real Ignorance"
From: Jason Tishler <[email-masked]>
To: Jeff Schmitt <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 13 Feb 2003 08:06:15 -0500

Jeff,

Please post instead of sending private email.

On Tue, Feb 11, 2003 at 11:54:23PM -0500, Jeff Schmitt wrote:
> Sorry to write to you directly.  Through my extensive Altavista
> searching I've seen a few e-mails that suggest you're one of the few,
> the proud, who knows what they're doing w/Python & Cygwin.  I'm an
> experienced computer analyst myself, familiar with both Windows and
> Unix environments.  I've even done some minimal C coding, but don't
> consider myself a developer.  I only know enough to be dangerous.
> 
> I'm writing out of desperation.  I've loaded Cygwin and I'm hooked!
> Being able to switch between Win & Unix natively w/o having to worry
> about cr/lf's in files is an absolute dream come true.  I can't
> believe it's free!  What's more... I've found a Python program (Open
> source) which would be a tremendous help to my hobby - A.I.  It was
> designed to run on Linux, and seems as though Cygwin *SHOULD* be able
> to handle it.  I've loaded the full blown Net Cygwin (using Setup: w/o
> some extraneous packages like DB, Publishing & Web) - and I've
> successfully loaded and run X11R6, OpenGL (OS), wxPython, Numeric,
> PIL, and almost every dependant package I need to run this software
> EXCEPT ONE: PyOpenGL - the thread that glues Python and OpenGL
> together.  As I've mentioned, I've successfully compiled and tested
> OpenGL on Cygwin, which works wonderfully.  But attempting to
> DistUtil/compile PyOpenGL always gives me an Invalid Page fault in
> swig - which I've narrowed down to Python's math.dll.

Maybe the Cygwin swig maintainer can help here.  This is one reason why
posting is better than private email.

> So I tried building Python from scratch with the sources, but 'make
> test' fails on fork1.  I'm stuck.  I'm pulling my hair out (what's
> left of it)!!!

The above is due to the Cygwin rebase issue:

    http://www.google.com/search?q=site:cygwin.com+rebase&hl=en&lr=&ie=UTF-8&oe=UTF-8&start=10&sa=N
> 
> I'm wondering if there's any chance you may have attempted to build/load
> this module yourself,

No.

> and if so, which caveats you were able to overcome.  I would REALLY
> appreciate any hints you can throw in my direction.  Oh... and I'm
> loading this on a Win98SE computer.

Maybe someone on the list has built or attempted to build Cygwin
PyOpenGL before.  This is another reason why posting is better than
private email.

> Forgive me if my wording seems a tad terse -
> [snip]
> But I really would greatly appreciate any assistance you could spare.
> 
> P.S. the program I'm attempting to compile/run under Python/Cygwin is:
> http://emergent.brynmawr.edu/wiki/index.cgi/PyroInstallation
> 
> Any chance you would help me out???

I'm sorry my plate is full -- actually, overflowing.  Maybe someone on
the list has the same itch and some spare cycles.  This is yet another
reason why posting is better than private email.

> Thanks for your time,

You are welcome.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/